import Vue from 'vue'
import Router from 'vue-router'

import Hello from '@/components/Hello'
import BattlegroundSelector from '@/components/BattlegroundSelector'
import Battleground from '@/components/Battleground'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Hello',
      component: Hello
    },
    {
      path: '/battlegrounds',
      component: BattlegroundSelector
    },
    {
      path: '/battleground/:battlegroundId',
      component: Battleground
    }
  ]
})
